package sun.net.httpserver;

import com.sun.net.httpserver.HttpContext;
import com.sun.net.httpserver.HttpHandler;
import java.util.concurrent.Executor;
import java.io.IOException;
import java.net.InetSocketAddress;
import com.sun.net.httpserver.HttpServer;

public class HttpServerImpl extends HttpServer
{
    ServerImpl server;
    
    HttpServerImpl() throws IOException {
        this(new InetSocketAddress(80), 0);
    }
    
    HttpServerImpl(InetSocketAddress inetSocketAddress, int n) throws IOException {
        this.server = new ServerImpl(this, "http", inetSocketAddress, n);
    }
    
    @Override
    public void bind(InetSocketAddress inetSocketAddress, int n) throws IOException {
        this.server.bind(inetSocketAddress, n);
    }
    
    @Override
    public void start() {
        this.server.start();
    }
    
    @Override
    public void setExecutor(Executor executor) {
        this.server.setExecutor(executor);
    }
    
    @Override
    public Executor getExecutor() {
        return this.server.getExecutor();
    }
    
    @Override
    public void stop(int n) {
        this.server.stop(n);
    }
    
    @Override
    public HttpContextImpl createContext(String s, HttpHandler httpHandler) {
        return this.server.createContext(s, httpHandler);
    }
    
    @Override
    public HttpContextImpl createContext(String s) {
        return this.server.createContext(s);
    }
    
    @Override
    public void removeContext(String s) throws IllegalArgumentException {
        this.server.removeContext(s);
    }
    
    @Override
    public void removeContext(HttpContext httpContext) throws IllegalArgumentException {
        this.server.removeContext(httpContext);
    }
    
    @Override
    public InetSocketAddress getAddress() {
        return this.server.getAddress();
    }
}
